make_32bit_zip:
    script:
# clone the DLLs and checkout to specific commit
#    - git clone https://gitlab.windenergy.dtu.dk/OpenLAC/control-binary/control-win32.git
#    - cd Control-Win32
#    - git checkout 10fbd53c635d93bd84ccf8e33b3671191d0094a8
#    - cd ..
# copy DLLs to control folder
#    - c:/Anaconda3/envs/pyHawc2/python -c "import shutil; shutil.copy('./Control-Win32/dtu_we_controller.dll', './dtu-10mw-rwt/control/dtu_we_controller.dll')"
#    - c:/Anaconda3/envs/pyHawc2/python -c "import shutil; shutil.copy('./Control-Win32/generator_servo.dll', './dtu-10mw-rwt/control/generator_servo.dll')"
#    - c:/Anaconda3/envs/pyHawc2/python -c "import shutil; shutil.copy('./Control-Win32/mech_brake.dll', './dtu-10mw-rwt/control/mech_brake.dll')"
#    - c:/Anaconda3/envs/pyHawc2/python -c "import shutil; shutil.copy('./Control-Win32/servo_with_limits.dll', './dtu-10mw-rwt/control/servo_with_limits.dll')"
#    - c:/Anaconda3/envs/pyHawc2/python -c "import shutil; shutil.copy('./Control-Win32/towerclearance_mblade.dll', './dtu-10mw-rwt/control/towerclearance_mblade.dll')"
# use python's shutil to make the archive
#    - c:/Anaconda3/envs/pyHawc2/python -c "import shutil; shutil.make_archive('dtu-10mw-rwt', 'zip', 'dtu-10mw-rwt')"
     - pip install git+https://gitlab.windenergy.dtu.dk/hawc-reference-models/reference-utilities.git
     - cd utils
     - c:/Anaconda3/envs/pyHawc2/python prepare_zip_file.py
    artifacts:
      paths:
      - dtu-10mw-rwt.zip 
    tags:
    - CPAV_old

# (later) make the report
#    - git clone git@gitlab.windenergy.dtu.dk:HAWC2/hawc2-binary/hawc2-win32.git
#    - hawc2-win32/HAWC2MB.exe htc\DTU_10MW_RWT.htc
#    - hawc2-win32/HAWC2MB.exe htc\DTU_10MW_RWT_step.htc